aagc.vo

## Class GetVaccinazioniItem

- java.lang.Object
- - aagc.vo.GetVaccinazioniItem

-     public class GetVaccinazioniItem
      extends java.lang.Object

  Classe Java per getVaccinazioniItem complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="getVaccinazioniItem">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idVaccinazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceFiscaleVaccinatore" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="tipologiaErogatore" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceFiscaleAssistito" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="condizioneRischio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="categoriaRischio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceAIC" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="viaSomministrazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="numeroLotto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="scadenzaLotto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="modalitaPagamento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataSomministrazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="sitoInoculazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="nomeFarmaco" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="antigeniFarmaco" type="{http://giava.rsr.rupar.puglia.it}antigeneItem" minOccurs="0"/>
               <element name="oscuramentoFSE" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AntigeneItem` | `antigeniFarmaco`
    `protected java.lang.String` | `categoriaRischio`
    `protected java.lang.String` | `codiceAIC`
    `protected java.lang.String` | `codiceFiscaleAssistito`
    `protected java.lang.String` | `codiceFiscaleVaccinatore`
    `protected java.lang.String` | `condizioneRischio`
    `protected java.lang.String` | `dataSomministrazione`
    `protected java.lang.String` | `idVaccinazione`
    `protected java.lang.String` | `modalitaPagamento`
    `protected java.lang.String` | `nomeFarmaco`
    `protected java.lang.String` | `numeroLotto`
    `protected java.lang.String` | `oscuramentoFSE`
    `protected java.lang.String` | `scadenzaLotto`
    `protected java.lang.String` | `sitoInoculazione`
    `protected java.lang.String` | `tipologiaErogatore`
    `protected java.lang.String` | `viaSomministrazione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetVaccinazioniItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AntigeneItem` | `getAntigeniFarmaco()` Recupera il valore della proprietà antigeniFarmaco.
    `java.lang.String` | `getCategoriaRischio()` Recupera il valore della proprietà categoriaRischio.
    `java.lang.String` | `getCodiceAIC()` Recupera il valore della proprietà codiceAIC.
    `java.lang.String` | `getCodiceFiscaleAssistito()` Recupera il valore della proprietà codiceFiscaleAssistito.
    `java.lang.String` | `getCodiceFiscaleVaccinatore()` Recupera il valore della proprietà codiceFiscaleVaccinatore.
    `java.lang.String` | `getCondizioneRischio()` Recupera il valore della proprietà condizioneRischio.
    `java.lang.String` | `getDataSomministrazione()` Recupera il valore della proprietà dataSomministrazione.
    `java.lang.String` | `getIdVaccinazione()` Recupera il valore della proprietà idVaccinazione.
    `java.lang.String` | `getModalitaPagamento()` Recupera il valore della proprietà modalitaPagamento.
    `java.lang.String` | `getNomeFarmaco()` Recupera il valore della proprietà nomeFarmaco.
    `java.lang.String` | `getNumeroLotto()` Recupera il valore della proprietà numeroLotto.
    `java.lang.String` | `getOscuramentoFSE()` Recupera il valore della proprietà oscuramentoFSE.
    `java.lang.String` | `getScadenzaLotto()` Recupera il valore della proprietà scadenzaLotto.
    `java.lang.String` | `getSitoInoculazione()` Recupera il valore della proprietà sitoInoculazione.
    `java.lang.String` | `getTipologiaErogatore()` Recupera il valore della proprietà tipologiaErogatore.
    `java.lang.String` | `getViaSomministrazione()` Recupera il valore della proprietà viaSomministrazione.
    `void` | `setAntigeniFarmaco(AntigeneItem value)` Imposta il valore della proprietà antigeniFarmaco.
    `void` | `setCategoriaRischio(java.lang.String value)` Imposta il valore della proprietà categoriaRischio.
    `void` | `setCodiceAIC(java.lang.String value)` Imposta il valore della proprietà codiceAIC.
    `void` | `setCodiceFiscaleAssistito(java.lang.String value)` Imposta il valore della proprietà codiceFiscaleAssistito.
    `void` | `setCodiceFiscaleVaccinatore(java.lang.String value)` Imposta il valore della proprietà codiceFiscaleVaccinatore.
    `void` | `setCondizioneRischio(java.lang.String value)` Imposta il valore della proprietà condizioneRischio.
    `void` | `setDataSomministrazione(java.lang.String value)` Imposta il valore della proprietà dataSomministrazione.
    `void` | `setIdVaccinazione(java.lang.String value)` Imposta il valore della proprietà idVaccinazione.
    `void` | `setModalitaPagamento(java.lang.String value)` Imposta il valore della proprietà modalitaPagamento.
    `void` | `setNomeFarmaco(java.lang.String value)` Imposta il valore della proprietà nomeFarmaco.
    `void` | `setNumeroLotto(java.lang.String value)` Imposta il valore della proprietà numeroLotto.
    `void` | `setOscuramentoFSE(java.lang.String value)` Imposta il valore della proprietà oscuramentoFSE.
    `void` | `setScadenzaLotto(java.lang.String value)` Imposta il valore della proprietà scadenzaLotto.
    `void` | `setSitoInoculazione(java.lang.String value)` Imposta il valore della proprietà sitoInoculazione.
    `void` | `setTipologiaErogatore(java.lang.String value)` Imposta il valore della proprietà tipologiaErogatore.
    `void` | `setViaSomministrazione(java.lang.String value)` Imposta il valore della proprietà viaSomministrazione.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idVaccinazione

          protected java.lang.String idVaccinazione

    - #### codiceFiscaleVaccinatore

          protected java.lang.String codiceFiscaleVaccinatore

    - #### tipologiaErogatore

          protected java.lang.String tipologiaErogatore

    - #### codiceFiscaleAssistito

          protected java.lang.String codiceFiscaleAssistito

    - #### condizioneRischio

          protected java.lang.String condizioneRischio

    - #### categoriaRischio

          protected java.lang.String categoriaRischio

    - #### codiceAIC

          protected java.lang.String codiceAIC

    - #### viaSomministrazione

          protected java.lang.String viaSomministrazione

    - #### numeroLotto

          protected java.lang.String numeroLotto

    - #### scadenzaLotto

          protected java.lang.String scadenzaLotto

    - #### modalitaPagamento

          protected java.lang.String modalitaPagamento

    - #### dataSomministrazione

          protected java.lang.String dataSomministrazione

    - #### sitoInoculazione

          protected java.lang.String sitoInoculazione

    - #### nomeFarmaco

          protected java.lang.String nomeFarmaco

    - #### antigeniFarmaco

          protected AntigeneItem antigeniFarmaco

    - #### oscuramentoFSE

          protected java.lang.String oscuramentoFSE

  - ### Constructor Detail

    - #### GetVaccinazioniItem

          public GetVaccinazioniItem()

  - ### Method Detail

    - #### getIdVaccinazione

          public java.lang.String getIdVaccinazione()

      Recupera il valore della proprietà idVaccinazione.
      Returns:
        possible object is `String`

    - #### setIdVaccinazione

          public void setIdVaccinazione(java.lang.String value)

      Imposta il valore della proprietà idVaccinazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscaleVaccinatore

          public java.lang.String getCodiceFiscaleVaccinatore()

      Recupera il valore della proprietà codiceFiscaleVaccinatore.
      Returns:
        possible object is `String`

    - #### setCodiceFiscaleVaccinatore

          public void setCodiceFiscaleVaccinatore(java.lang.String value)

      Imposta il valore della proprietà codiceFiscaleVaccinatore.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipologiaErogatore

          public java.lang.String getTipologiaErogatore()

      Recupera il valore della proprietà tipologiaErogatore.
      Returns:
        possible object is `String`

    - #### setTipologiaErogatore

          public void setTipologiaErogatore(java.lang.String value)

      Imposta il valore della proprietà tipologiaErogatore.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscaleAssistito

          public java.lang.String getCodiceFiscaleAssistito()

      Recupera il valore della proprietà codiceFiscaleAssistito.
      Returns:
        possible object is `String`

    - #### setCodiceFiscaleAssistito

          public void setCodiceFiscaleAssistito(java.lang.String value)

      Imposta il valore della proprietà codiceFiscaleAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getCondizioneRischio

          public java.lang.String getCondizioneRischio()

      Recupera il valore della proprietà condizioneRischio.
      Returns:
        possible object is `String`

    - #### setCondizioneRischio

          public void setCondizioneRischio(java.lang.String value)

      Imposta il valore della proprietà condizioneRischio.
      Parameters:
        `value` - allowed object is `String`

    - #### getCategoriaRischio

          public java.lang.String getCategoriaRischio()

      Recupera il valore della proprietà categoriaRischio.
      Returns:
        possible object is `String`

    - #### setCategoriaRischio

          public void setCategoriaRischio(java.lang.String value)

      Imposta il valore della proprietà categoriaRischio.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceAIC

          public java.lang.String getCodiceAIC()

      Recupera il valore della proprietà codiceAIC.
      Returns:
        possible object is `String`

    - #### setCodiceAIC

          public void setCodiceAIC(java.lang.String value)

      Imposta il valore della proprietà codiceAIC.
      Parameters:
        `value` - allowed object is `String`

    - #### getViaSomministrazione

          public java.lang.String getViaSomministrazione()

      Recupera il valore della proprietà viaSomministrazione.
      Returns:
        possible object is `String`

    - #### setViaSomministrazione

          public void setViaSomministrazione(java.lang.String value)

      Imposta il valore della proprietà viaSomministrazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumeroLotto

          public java.lang.String getNumeroLotto()

      Recupera il valore della proprietà numeroLotto.
      Returns:
        possible object is `String`

    - #### setNumeroLotto

          public void setNumeroLotto(java.lang.String value)

      Imposta il valore della proprietà numeroLotto.
      Parameters:
        `value` - allowed object is `String`

    - #### getScadenzaLotto

          public java.lang.String getScadenzaLotto()

      Recupera il valore della proprietà scadenzaLotto.
      Returns:
        possible object is `String`

    - #### setScadenzaLotto

          public void setScadenzaLotto(java.lang.String value)

      Imposta il valore della proprietà scadenzaLotto.
      Parameters:
        `value` - allowed object is `String`

    - #### getModalitaPagamento

          public java.lang.String getModalitaPagamento()

      Recupera il valore della proprietà modalitaPagamento.
      Returns:
        possible object is `String`

    - #### setModalitaPagamento

          public void setModalitaPagamento(java.lang.String value)

      Imposta il valore della proprietà modalitaPagamento.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataSomministrazione

          public java.lang.String getDataSomministrazione()

      Recupera il valore della proprietà dataSomministrazione.
      Returns:
        possible object is `String`

    - #### setDataSomministrazione

          public void setDataSomministrazione(java.lang.String value)

      Imposta il valore della proprietà dataSomministrazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getSitoInoculazione

          public java.lang.String getSitoInoculazione()

      Recupera il valore della proprietà sitoInoculazione.
      Returns:
        possible object is `String`

    - #### setSitoInoculazione

          public void setSitoInoculazione(java.lang.String value)

      Imposta il valore della proprietà sitoInoculazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getNomeFarmaco

          public java.lang.String getNomeFarmaco()

      Recupera il valore della proprietà nomeFarmaco.
      Returns:
        possible object is `String`

    - #### setNomeFarmaco

          public void setNomeFarmaco(java.lang.String value)

      Imposta il valore della proprietà nomeFarmaco.
      Parameters:
        `value` - allowed object is `String`

    - #### getAntigeniFarmaco

          public AntigeneItem getAntigeniFarmaco()

      Recupera il valore della proprietà antigeniFarmaco.
      Returns:
        possible object is `AntigeneItem`

    - #### setAntigeniFarmaco

          public void setAntigeniFarmaco(AntigeneItem value)

      Imposta il valore della proprietà antigeniFarmaco.
      Parameters:
        `value` - allowed object is `AntigeneItem`

    - #### getOscuramentoFSE

          public java.lang.String getOscuramentoFSE()

      Recupera il valore della proprietà oscuramentoFSE.
      Returns:
        possible object is `String`

    - #### setOscuramentoFSE

          public void setOscuramentoFSE(java.lang.String value)

      Imposta il valore della proprietà oscuramentoFSE.
      Parameters:
        `value` - allowed object is `String`